Package org.apache.torque.generator.configuration

# Class DirectoryConfigurationProvider

java.lang.Object
org.apache.torque.generator.configuration.AbstractConfigurationProvider
org.apache.torque.generator.configuration.DirectoryConfigurationProvider

All Implemented Interfaces:
  `ConfigurationProvider`

public class DirectoryConfigurationProvider extends AbstractConfigurationProvider
Provides InputStreams to read the configuration from a directory.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `DirectoryConfigurationProvider(ProjectPaths projectPaths, TorqueGeneratorPaths configurationPaths)`
  Constructor.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getControlConfigurationLocation()`
  Returns the location of the control configuration as human readable String for debugging and error tracking purposes.
  `protected InputStream`
  `getInputStream(String name, String directory, String description)`
  `Collection<String>`
  `getOutletConfigurationNames()`
  Returns a list of all found outlet configuration files in the generation unit.
  `Collection<String>`
  `getTemplateNames()`
  Lists all available template names.

  ### Methods inherited from class org.apache.torque.generator.configuration.AbstractConfigurationProvider

  `getControlConfigurationInputStream, getOptionsInputStream, getOutletConfigurationInputStream, getResourceInputStream, getTemplateInputStream`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### DirectoryConfigurationProvider

    public DirectoryConfigurationProvider(ProjectPaths projectPaths, TorqueGeneratorPaths configurationPaths)
    Constructor.
    Parameters:
      `projectPaths` - the paths needed to interact with the enclosing project, not null.
      `configurationPaths` - The internal directory structure of the generator files, not null.
    Throws:
      `NullPointerException` - if projectPaths or configurationPaths are null.

- ## Method Details

  - ### getControlConfigurationLocation

    public String getControlConfigurationLocation() throws ConfigurationException
    Description copied from interface: `ConfigurationProvider`
    Returns the location of the control configuration as human readable String for debugging and error tracking purposes.
    Returns:
      the location of the control configuration, not null.
    Throws:
      `ConfigurationException` - if the location name can not be created.

  - ### getInputStream

    protected InputStream getInputStream(String name, String directory, String description) throws ConfigurationException
    Specified by:
      `getInputStream` in class `AbstractConfigurationProvider`
    Parameters:
      `name` - input stream name
      `directory` - location
      `description` - describes the file
    Returns:
      an InputStream
    Throws:
      `ConfigurationException` - if unable to process

  - ### getOutletConfigurationNames

    public Collection<String> getOutletConfigurationNames() throws ConfigurationException
    Description copied from interface: `ConfigurationProvider`
    Returns a list of all found outlet configuration files in the generation unit.
    Returns:
      a list with the generation configuration files, not null.
    Throws:
      `ConfigurationException` - if the configuration can not be read.

  - ### getTemplateNames

    public Collection<String> getTemplateNames() throws ConfigurationException
    Description copied from interface: `ConfigurationProvider`
    Lists all available template names.
    Returns:
      a collection of all available template names, not null.
    Throws:
      `ConfigurationException` - if the template names cannot be determined.
    See Also:
      - `ConfigurationProvider.getTemplateNames()`